# Created by pyp2rpm-3.3.8
%global pypi_name json2xml
%global pypi_version 3.8.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Simple Python Library to convert JSON to XML

License:        Apache Software License 2.0
URL:            https://github.com/vinitkumar/json2xml
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
Patch0:         json2xml-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(defusedxml)
BuildRequires:  python3dist(py) = 1.5.3
BuildRequires:  python3dist(pytest) = 3.4.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(xmltodict)

Requires: python3dist(xmltodict)


%description
json2xml .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(defusedxml)
Requires:       python3dist(urllib3)
%description -n python3-%{pypi_name}
json2xml .. image::

%package -n python-%{pypi_name}-doc
Summary:        json2xml documentation
%description -n python-%{pypi_name}-doc
Documentation for json2xml

%prep
%autosetup -p1 -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
#PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst docs/readme.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc README.rst
%license LICENSE

%changelog
* Wed May 01 2024 Aram Minasyan <aram.minasyan@agilent.com> - 4.1.0-1
- Initial package.
